Home
last modified time | relevance | path

Searched refs:aLoc2d (Results 1 – 3 of 3) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/SelectMgr/
H A DSelectMgr_BaseIntersector.cxx258 const gp_Pnt2d aLoc2d (theLoc.X(), theLoc.Y()); in RayCylinderIntersection() local
263 const Standard_Real aK = aLoc2d.XY().Dot (aRayDir2d.XY()); in RayCylinderIntersection()
264 const Standard_Real aC = aLoc2d.XY().Dot (aLoc2d.XY()) - theTopRadius * theTopRadius; in RayCylinderIntersection()
/dports/cad/opencascade/opencascade-7.6.0/src/Approx/
H A DApprox_CurveOnSurface.cxx520 gp_Pnt2d aLoc2d; in isIsoLine() local
528 aLoc2d = aLin2d.Location(); in isIsoLine()
538 aLoc2d = aBSpline2d->Pole(1); in isIsoLine()
554 aLoc2d = aBezier2d->Pole(1); in isIsoLine()
573 theParam = aLoc2d.Y(); in isIsoLine()
581 theParam = aLoc2d.X(); in isIsoLine()
/dports/cad/opencascade/opencascade-7.6.0/src/GeomLib/
H A DGeomLib.cxx2810 gp_Pnt2d aLoc2d; in isIsoLine() local
2818 aLoc2d = aLin2d.Location(); in isIsoLine()
2828 aLoc2d = aBSpline2d->Pole(1); in isIsoLine()
2844 aLoc2d = aBezier2d->Pole(1); in isIsoLine()
2863 theParam = aLoc2d.Y(); in isIsoLine()
2871 theParam = aLoc2d.X(); in isIsoLine()